Bug 645216 - Error 24: Attempt to access block outside partition after F13-F14B upgrade
Error 24: Attempt to access block outside partition after F13-F14B upgrade
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
14
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
: 645215 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-20 22:34 EDT by Andrew Luecke
Modified: 2012-08-16 15:48 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 15:48:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Additional configuration data (5.07 KB, text/plain)
2010-10-20 22:34 EDT, Andrew Luecke
no flags Details

  None (edit)
Description Andrew Luecke 2010-10-20 22:34:50 EDT
Created attachment 454714 [details]
Additional configuration data

Description of problem:
========================
After upgrading from Fedora13-Fedora 14 Beta (KDE Spin) on 20/10/10 (using preupgrade-cli), grub is unable to boot to vmlinuz-2.6.35.6-45.fc14.x86_64, throwing a "Error 24: Attempt to access block outside partition" error. However, the older "vmlinuz-2.6.34.7-56.fc13.x86_64" successfully starts booting WITHOUT the error, and F13 had no issues either.No changes were ever manually made to grub configuration. 


Version-Release number of selected component (if applicable):
=============================================================
Kernel: vmlinuz-2.6.35.6-45.fc14.x86_64 (CAUSES THE ERROR)  
vmlinuz-2.6.34.7-56.fc13.x86_64 WORKED FINE!!
Grub: 1:0.97-66.fc14 (x86_64)
F13 did not have this problem...

How reproducible:
================
Unknown. Have not tested.

Steps to Reproduce:
==================
Initial setup:
1. Install F13 to EXT3
2. preupgrade-cli to F14
3. Install F14
4. Reboot

After upgrade:
1. Boot system into grub normally
2. Select F14 kernel (vmlinuz-2.6.35.6-45.fc14.x86_64) + Enter/Return key
  
Actual results:
===============
1. Error 24: Attempt to access block outside partition
2. From then on, users are forced to cry themselves to sleep. 

Expected results:
==================
1. Fedora 14 kernel boots fine. All is fine with the world. 

Additional info:
================
This is on a GA-EP45-DS4P motherboard with 3x SATA drives, and the MBR is on /dev/sdc. There is 1 partition on /dev/sdc (EXT4), which is a Samsung HD154UI

Further info is attached
Comment 1 Andrew Luecke 2010-10-21 00:18:29 EDT
*** Bug 645215 has been marked as a duplicate of this bug. ***
Comment 2 Andrew Luecke 2010-10-26 01:33:01 EDT
Reinstalling the kernel manually has made the kernel work (removed it, and reinstalled it). So I suspect it's a random bug in preupgrade-cli, or the F13-> F14B upgrade procedure.
Comment 3 Takao Yoshihara 2011-12-28 11:12:55 EST
Now I manage Scientific Linux 6.1 (i686) and have just updated its kernel from 2.6.32-131.21.1.el6.i686 to 2.6.32-220.2.1.el6.i686, which is its latest one. Then, I've encountered with the same issue as this Bug.

The environment on which I manage Scientific Linux 6.1 is as follows:

Base machine:Shuttle Xpc SD39P2
CPU:Intel(R) Core(TM)2 Quad CPU    Q6600  @ 2.40GHz
Hard drive:ata3.00: ATA-8: WDC WD2003FYYS-02W0B0, 01.01D01, max UDMA/133
           ata3.01: ATA-8: WDC WD2003FYYS-02W0B0, 01.01D01, max UDMA/133
Comment 4 Takao Yoshihara 2011-12-28 11:16:33 EST
For an additional information, I could recover from my issue with the same work-around as this Bug.
Comment 5 Fedora End Of Life 2012-08-16 15:48:35 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.